Bug 1694455 - file level snapshots using reflink in a posix only volume
Summary: file level snapshots using reflink in a posix only volume
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: posix
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: Raghavendra Bhat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-31 15:19 UTC by Raghavendra Bhat
Modified: 2020-03-12 13:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-12 13:04:01 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 22453 0 None Abandoned [WIP]: file snapshots using reflink 2019-09-11 19:30:57 UTC

Description Raghavendra Bhat 2019-03-31 15:19:39 UTC
Description of problem:

Ability to take file level snapshots for a single brick volume.
Using setxattr interface, provide a mechanism to take snapshots of file(s).
The same setxattr interface can be used to delete the snapshots as well.

Ex: setfattr -n glusterfs.snapshot -v <snapshot name> <file path>
    setfattr -n glusterfs.removesnap -v <snapshot name> <file path> 

The snapshots can be viewed from <mount point>/.fsnaps/<gfid of the file>


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-03-31 20:36:40 UTC
REVIEW: https://review.gluster.org/22453 ([WIP]: file snapshots using reflink) posted (#1) for review on master by Raghavendra Bhat

Comment 2 Worker Ant 2020-03-12 13:04:01 UTC
This bug is moved to https://github.com/gluster/glusterfs/issues/994, and will be tracked there from now on. Visit GitHub issues URL for further details


Note You need to log in before you can comment on or make changes to this bug.